tsort {RBGL} | R Documentation

## topological sort of vertices of a digraph

### Description

returns vector of zero-based indices of vertices of a DAG in topological sort order

### Usage

    tsort(x) # now x assumed to be Bioconductor graph graphNEL

### Arguments

`x` | instance of class graphNEL from Bioconductor graph class

### Details

calls to the topological_sort algorithm of BGL. will check in BGL whether the input is a DAG and return a vector of zeroes (of length length(nodes(x))) if it is not. Thus this function can be used to check for cycles in a digraph.

### Value

a numerical vector enumerating vertices in the topological sort sequence, 0-based

### Author(s)

VJ Carey <stvjc@channing.harvard.edu>

### Examples

     data(FileDep)
     tsind <- tsort(FileDep)
     tsind
     FD2 <- FileDep
     # now introduce a cycle
     FD2 <- addEdge("bar_o", "dax_h", FD2, 1)
     tsort(FD2)

[Package RBGL version 1.10.0 Index]